# Class PixAccountPayload

#### Hierarchy

- unknown
  - PixAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:5135
- Defined in src/protobuf/pb_pb.d.ts:5147

#####
Index

### Constructors

constructor

### Methods

getPixKey
serializeBinary
setPixKey
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PixAccountPayload(): PixAccountPayload

- #### Returns PixAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getPixKey

- getPixKey(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5136

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5139

### setPixKey

- setPixKey(value: string): PixAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns PixAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5137

### toObject

- toObject(includeInstance?: boolean): PixAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PixAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5140

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PixAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PixAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5143

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PixAccountPayload, reader: BinaryReader): PixAccountPayload

- #### Parameters

  - ##### message: PixAccountPayload

  - ##### reader: BinaryReader

  #### Returns PixAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5144

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PixAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PixAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5142

### `Static` toObject

- toObject(includeInstance: boolean, msg: PixAccountPayload): PixAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PixAccountPayload

  #### Returns PixAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5141

Generated using TypeDoc